Name: libwnck
Version: 2.2.1
Release: alt1

Summary: General Window Manager interfacing for gnome utilities
License: LGPL
Group: System/Libraries
URL: ftp://ftp.gnome.org

Source: %name-%version.tar.bz2

Packager: Yuri N. Sedunov <aris@altlinux.ru>

%define gtk_ver 2.2.1
%define startup_notification_ver 0.5

Requires: libgtk+2 >= %gtk_ver
Requires: libstartup-notification >= %startup_notification_ver

BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver

# Automatically added by buildreq on Thu Feb 06 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 glib2-devel glibc-devel-static libXft libatk-devel libexpat libgtk+2-devel libpango-devel libstartup-notification-devel pkgconfig

%description
General Window Manager interfacing for gnome utilities.
This library is a part of the gnome 2 platform.

%package devel
Summary: Header and development libraries for libwnck
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver

%description devel
Header, docs and development libraries for libwnck

%package devel-static
Summary: Static libraries and objects for libwnck
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
This package contains the General Window Manager interfacing static
libraries and objects.

%prep
%setup -q

%build
%configure

%make_build

%install
%makeinstall

%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*

%files devel-static
%_libdir/*.a

%changelog
* Thu Feb 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.17-alt1
- fix changelog entry

* Thu Jun 20 2002 Igor Androsov <blake@altlinux.ru> 0.14-alt1
- Initial build for AltLinux
- Many fixes spec

* Wed May 15 2002 Igor Androsov <blace@mail.ru> 0.11-blk0.1
- New source from CVS
- Added BuildRequires

* Sat May 11 2002 Igor Androsov <blace@mail.ru> 0.9-blk0.1
- New source from CVS
- Minor fixes .spec file
- Moved static libraries to devel-static

* Mon Jan 28 2002 Gregory Leblanc <gleblanc@linuxweasel.com> 0.2-3
- cleaned up dependancies, according to docs that Chris sent me.
- disabled libtoolize

* Sat Jan 19 2002 Chris Chabot <chabotc@reviewboard.com>
- Changed description from 'atk' to 'libwnck' ;)
- Modified configure, make, make install and clean parts
- Added a lot of Requires and BuildRequires (as defined by ./configure)
- Changed description from 'windowmanager thingies' to something more usefull
- Modified change log entry below from 'Jun 16 2002' to 'Jan 16', duh
- Minor cleanups

* Tue Jan 16 2002 Gregory Leblanc <gleblanc@linuxweasel.com>
- created new spec file

